Bug 72683 - Tune JSStringBuilder for 8 bit Strings
: Tune JSStringBuilder for 8 bit Strings
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To: Michael Saboff
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-17 17:56 PST by Michael Saboff
Modified: 2011-11-24 22:23 PST (History)
0 users

See Also:


Attachments
Patch (5.68 KB, patch)
2011-11-22 10:30 PST, Michael Saboff
fpizlo: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Saboff 2011-11-17 17:56:20 PST
Investigate common cases string processing is generic (e.g. using characters()) and could benefit from 8 bit specific processing.
Comment 1 Michael Saboff 2011-11-22 10:19:54 PST
Retargeting this defect to one java script tune - JSStringBuilder which uses UString::characters() and a 16 bit buffer irrespective of the actual string size or data range.
Comment 2 Michael Saboff 2011-11-22 10:30:17 PST
Created attachment 116243 [details]
Patch
Comment 3 Filip Pizlo 2011-11-24 11:05:18 PST
Comment on attachment 116243 [details]
Patch

What is the performance effect, if any?
Comment 4 Michael Saboff 2011-11-24 22:22:28 PST
(In reply to comment #3)
> (From update of attachment 116243 [details])
> What is the performance effect, if any?

This patch is worth about .5% on SunSpider using jsc.
Comment 5 Michael Saboff 2011-11-24 22:23:36 PST
Committed r101147: <http://trac.webkit.org/changeset/101147>